#ifndef MOVING_AVERAGE_TEST_H
#define MOVING_AVERAGE_TEST_H

/*!
  \file
  \brief movingAverage.h ‚ÌƒeƒXƒg
  
  \author Satofumi KAMIMURA
  
  $Id: MovingAverageTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>
#include "movingAverage.h"


class MovingAverageTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(MovingAverageTest);
  CPPUNIT_TEST(getAverageValueTest);
  CPPUNIT_TEST_SUITE_END();

public:
  void getAverageValueTest(void);
};

#endif /* !MOVING_AVERAGE_TEST_H */
